List refund payments
curl --request GET \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/invoices/refunds/{refund_id}/payments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/invoices/refunds/{refund_id}/payments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/invoices/refunds/{refund_id}/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"page_info": {
"total_count": 123,
"current_page": 1,
"total_pages": 7,
"page_size": 20
},
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refunded_amount": 123,
"refund_processing_fee": 123,
"reconciled_bank_transactions": [
{
"bank_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction_date": "2023-11-07T05:31:56Z",
"bank_transaction_amount_cents": 123,
"bank_transaction_direction": "<string>",
"reconciled_amount_cents": 123,
"reconciliation_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reconciled_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"payment_type": "<string>",
"bank_account_name": "<string>",
"notes": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"method": "BANK_TRANSFER",
"processor": "<string>",
"transaction_tags": "<unknown>",
"memo": "<string>",
"metadata": "<unknown>"
}
]
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}Refund Payments
List refund payments
List all payments recorded for a refund, newest first. Supports pagination.
GET
/
v1
/
platform
/
businesses
/
{business_id}
/
invoices
/
refunds
/
{refund_id}
/
payments
/
List refund payments
Authorizations
PartnerJWTBusinessScopedJWTBasicAuthBearerUnscopedBearerBusinessScoped
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Query Parameters
Page number (default: 1)
Items per page (default: 20, max: 100)
Was this page helpful?
⌘I